<div class="mat-draw-left">
    <div class="cotainer-init-screen__left-content__top">
      <div class="cotainer-init-screen__left-content__top__dropdown">
        <p class="cotainer-init-screen__left-content__top__label">{{'modelOrganization.initScreen.label.tree' |
          translate}}</p>
        <div>
          <nz-input-group [nzPrefix]="prefixTemplateUser" style="border-radius: 8px">
            <input nz-dropdown [nzDropdownMenu]="menu" [nzVisible]="true" type="text" nz-input
              placeholder="{{'modelOrganization.initScreen.placeholder.search' | translate}}" #input />
          </nz-input-group>
          <ng-template #prefixTemplateUser><em style="vertical-align: text-bottom" nz-icon nzType="search"></em>
          </ng-template>
          <nz-dropdown-menu #menu="nzDropdownMenu">
            <ul style="overflow: auto" [ngStyle]="{
                display: dataDropdown.length > 0 && !hideListDropdown ? 'block' : 'none',
                height: dataDropdown.length === 1 ? '50px' : '300px'
              }" nz-menu nzSelectable>
              <li *ngFor="let data of dataDropdown" nz-menu-item (click)="selectedNodeTree(data)">
                {{ data.orgName }}
              </li>
            </ul>
          </nz-dropdown-menu>
        </div>
      </div>
    </div>
    <div class="modal-left">
      <div class="modal-left__tree">
        <nz-tree #tree [nzData]="treeOrg" nzAsyncData (nzClick)="nzEvent($event)" (nzExpandChange)="nzEvent($event)"

                 [nzExpandedIcon]="multiExpandedIconTpl"  [nzTreeTemplate]="nzTreeTemplate">
          <ng-template #multiExpandedIconTpl let-node>
            <button class="icon-expand">
              <div style="display: flex;">
                <img *ngIf="!node.isExpanded" alt="" class="modal-left__tree__icon"
                     src="../../../../../assets/images/icon/add-org(1).svg" />
                <img alt="" class="modal-left__tree__icon" src="../../../../../assets/images/icon/minus-org.svg"
                     *ngIf="node.isExpanded" />
              </div>
            </button>
          </ng-template>
          <ng-template #nzTreeTemplate let-node>
            <nz-dropdown-menu #menu="nzDropdownMenu">
              <ul nz-menu class="ant-dropdown-menu-custom">
                <div *ngIf="objFunction.create">
                  <li nz-menu-item (click)="clickInit(node)">
                    <mat-icon class="main-model-organization__tooltip__menu--item__icon">settings_backup_restore
                    </mat-icon>
                    <span nz-typography
                          class="main-model-organization__tooltip__menu--item__text">{{'modelOrganization.initScreen.label.init'
                      | translate}}</span></li>
                  <li nz-menu-divider></li>
                </div>
                <div *ngIf="objFunction.adjusted && !(node.origin.treeLevel === 0 || node.origin.treeLevel === 1
                || node.origin.tmpStatus === 2 || node.origin.tmpStatus === 6)">
                  <li nz-menu-item
                      (click)="redrirectToAdjusted(node)">
                    <img src="../../../../../assets/images/icon/adjust.svg" alt="" width="20" height="20"
                         class="selected-icon" />
                    <span nz-typography
                          class="main-model-organization__tooltip__menu--item__text">{{'modelOrganization.initScreen.label.adjust'
                      | translate}}</span>
                  </li>
                  <li nz-menu-divider></li>
                </div>
                <div *ngIf="objFunction.correction && !(node.origin.treeLevel === 0 || node.origin.treeLevel === 1
                || node.tmpStatus === 2 || node.tmpStatus === 6)">
                  <li nz-menu-item (click)="redrirectTocorrection(node)">
                    <img alt="" src="../../../../../assets/images/icon/edit-org.svg" width="20" height="20" class="selected-icon" />
                    <span nz-typography
                          class="main-model-organization__tooltip__menu--item__text">{{'modelOrganization.initScreen.label.correction'
                      | translate}}</span>
                  </li>
                  <li nz-menu-divider></li>
                </div>
                <div *ngIf="objFunction.view && type !== 'PY'">
                  <li nz-menu-item (click)="redirectToDetail(node.origin?.orgId)">
                    <img src="../../../../../assets/images/icon/information-detail-org.svg" width="20" height="20" alt=""
                         class="selected-icon" />
                    <span nz-typography
                          class="main-model-organization__tooltip__menu--item__text">{{'modelOrganization.initScreen.label.detail'
                      | translate}}</span>
                  </li>
                  <li nz-menu-divider></li>
                </div>

                <li nz-menu-item  *ngIf="objFunction.view && type !== 'PY'">
                  <mat-icon class="main-model-organization__tooltip__menu--item__icon">restore</mat-icon>
                  <span nz-typography
                        class="main-model-organization__tooltip__menu--item__text">{{'modelOrganization.initScreen.label.history'
                    | translate}}</span>
                </li>
                <li nz-menu-divider></li>
              </ul>
            </nz-dropdown-menu>
            <div nz-dropdown nzTrigger="click" [nzDropdownMenu]="menu" nzOverlayClassName="ant-dropdown-menu-custom">
              {{node.title}}
            </div>
          </ng-template>
        </nz-tree>
      </div>
    </div>
  </div>






